sc::PsiCCSD(3)

NAME
sc::PsiCCSD - PsiCCSD is a concrete implementation of Psi CCSD wave function.

SYNOPSIS

#include <psiwfn.h>

Inherits sc::PsiWavefunction.

  Public Methods
PsiCCSD (const Ref< KeyVal > &)
PsiCCSD (StateIn &)
~PsiCCSD ()
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
int spin_polarized ()
Return 1 if the alpha density is not equal to the beta density.
int gradient_implemented () const

  Protected Methods
void write_input (int conv)
Prepares a complete Psi input file. The input file is assumed to have been opened.

DETAILED DESCRIPTION

PsiCCSD is a concrete implementation of Psi CCSD wave function.

MEMBER FUNCTION DOCUMENTATION

  void sc::PsiCCSD::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::PsiWavefunction.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.